#!/usr/bin/env python3
# -*- coding: utf8 -*-

a = open('game.in', 'r').readline().strip()
n = len(a)
ans = None
for i in range(n):
  if ((n - i) % 2 == 0 and a[i] != ('1' if i == 0 else '0')) or ((n - i) % 2 == 1 and a[i] != '9'):
    ans = 'First' if i % 2 == 0 else 'Second'
    break
if ans is None:
  ans = 'Second' if n % 2 == 0 else 'First'
print(ans, file=open('game.out', 'w'))

